Package de.gebit.integrity.runner

## Class Diagnostic

- java.lang.Object
- - de.gebit.integrity.runner.Diagnostic

-     public class Diagnostic
      extends Object

  This is basically a unification of org.eclipse.emf.common.util.Diagnostic and org.eclipse.emf.ecore.resource.Resource.Diagnostic.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Diagnostic​(String aLocation, String aMessage)` | Constructs a new instance.
    `Diagnostic​(org.eclipse.emf.common.util.Diagnostic aDiagnostic, ModelSourceExplorer aSourceExplorer)` | Constructs a new instance based on an existing diagnostic object.
    `Diagnostic​(org.eclipse.emf.ecore.resource.Resource.Diagnostic aDiagnostic)` | Constructs a new instance based on an existing diagnostic object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.ecore.EObject` | `getEObject()` |
    `String` | `getLocation()` |
    `ModelSourceInformationElement` | `getLocationInfo()` |
    `String` | `getMessage()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Diagnostic

          public Diagnostic​(String aLocation,
                            String aMessage)

      Constructs a new instance.
      Parameters:
        `aLocation` - the location of the error
        `aMessage` - the error message

    - #### Diagnostic

          public Diagnostic​(org.eclipse.emf.ecore.resource.Resource.Diagnostic aDiagnostic)

      Constructs a new instance based on an existing diagnostic object.
      Parameters:
        `aDiagnostic` -

    - #### Diagnostic

          public Diagnostic​(org.eclipse.emf.common.util.Diagnostic aDiagnostic,
                            ModelSourceExplorer aSourceExplorer)

      Constructs a new instance based on an existing diagnostic object.
      Parameters:
        `aDiagnostic` -
        `aSourceExplorer` - the model source explorer (optional; location info will not be as detailed if not provided)

  - ### Method Detail

    - #### getLocation

          public String getLocation()

    - #### getLocationInfo

          public ModelSourceInformationElement getLocationInfo()

    - #### getEObject

          public org.eclipse.emf.ecore.EObject getEObject()

    - #### getMessage

          public String getMessage()